Netherworld's Pretend Minibar

    netlify-plugin-html-validate

    1.1.1 • Public • Published

    netlify-plugin-html-validate

    npm version

    netlify-plugin-html-validate adds the ability to validate HTML generated by your Netlify build using html-validate.

    Setup

    Install the plugin as a dependency to your repository

    npm i --s netlify-plugin-html-validate

    Configure the plugin in netlify.toml

    [[plugins]]
      package = "netlify-plugin-html-validate"
    
      [plugins.inputs]
        ext = "html"
        config = ".htmlvalidate.json"

    The following parameters can be used for plugin.inputs

    Parameter Description required default
    ext The file-name extension that identifies HTML files no html
    config Configuration for html-validate; e.g. .htmlvalidate.json. If left blank, html-validate's default options will be used. no
    path Source to validate; provide a file name, directory or glob pattern. no

    Configure validation rules for html-validate

    To specify the validation rule set used by html-validate, setup a local configuration file, i.e. .htmlvalidate.json. Follow html-validate's configuration usage guide to customise your rules.

    Install

    npm i netlify-plugin-html-validate

    DownloadsWeekly Downloads

    155

    Version

    1.1.1

    License

    MIT

    Unpacked Size

    8.78 kB

    Total Files

    10

    Last publish

    Collaborators

    • oliverroick